Discontinuing support for versions older than v5.0.0 of the Typetalk desktop app

Typetalk is discontinuing desktop app support for versions older than v5.0.0 on February 29, 2020.

Why we’re discontinuing

We changed the auto-updating architecture when we released v5.0.0, which means desktop apps older than that version can no longer be automatically updated.

This puts older versions of the app at risk for security vulnerabilities, so we’ve decided to end support of all versions less than v5.0.0 to keep our users safe.

What should you do?

If you’re currently using the Typetalk desktop app on a version less than v5.0.0, please download and install the latest version. You can check for your version under the main menu by going to File > About Typetalk.

Upgrade before February 29, 2020, and you can keep enjoying Typetalk as usual.

Gain skills, learn strategies, move projects forward

Collaborate and bring your projects to life with Nulab

Learn more